// 时间格式化函数
function dataFormat(dataStr) {
  const date = new Date(dataStr)

  const y = date.getFullYear()
  const m = addZero(date.getMonth() + 1)
  const d = addZero(date.getDate())

  const h = addZero(date.getHours())
  const mm = addZero(date.getMinutes())
  const s = addZero(date.getSeconds())

  return `${y}/${m}/${d} ${h}:${mm}:${s}`
}

// 补零函数
function addZero(n) {
  return n > 9 ? n : '0' + n
}
module.exports = {
  dataFormat
}